/* Botão saber mais da home */
.home_block_title .centralization_title a.products {
    border: 2px solid var(--white) !important;
    color: var(--white) !important;
}

.home_block_title .centralization_title a.products:hover {
  background-color: var(--white) !important;
  color: var(--cta) !important;
  border: 2px solid var(--white) !important;
}

/* ----------------------------------------------------------- */

/* Botão bg cta e hover cta_hover */
.auth-popup-buttons a,
.created_account_link,
.no-campaign-warning .button,
.user-home .user-topo .cadastro-login-btn,
.account-user .account-dropdown .account-enter,
.account-modal .account-popup .account-enter,
#onetrust-consent-sdk #onetrust-accept-btn-handler:last-of-type, #onetrust-pc-sdk #accept-recommended-btn-handler,
#onetrust-banner-sdk #onetrust-reject-all-handler:last-of-type,
#onetrust-consent-sdk #onetrust-pc-sdk#onetrust-pc-sdk #accept-recommended-btn-handler#accept-recommended-btn-handler,
.alt-confirmation-header a,
.alt-confirmation-body a,
body._eqn_getcoupon .about_content.eqn .use.coupon .coupon_link a,
body[class*="_avaliado"] .about_content.eqn .use.coupon .coupon_link a,
body._eqn_getcoupon .about_content.eqn .gohome,
body[class*="_avaliado"] .about_content.eqn .gohome,
.cancel_panel.cta_break a,
.order-header-status a,
.order-middle-action a.link_button,
.checkout-footer a.next-step,
.exhaustion_notice .exhaustion a.btn_exhaustion,
.no-orders a,
input.form-submit,
a.main_button,
.short_content a,
.about_campaign a,
.contact_us,
.how_it_works_information a,
.brands a,
.amazon-button,
.picture.brand_option span.button,
.container-familynes-store-text a,
.container-campaign-home .campaign-button,
.container-vouchers-home .voucher-button ,
.home_page_title a {
  background-color: var(--cta) !important;
  color: var(--white) !important;
}

.checkout-footer a.next-step {
  border: 3px solid var(--cta);
}

.auth-popup-buttons a:hover,
.created_account_link:hover,
.no-campaign-warning .button:hover,
.user-home .user-topo .cadastro-login-btn:hover,
.account-user .account-dropdown .account-enter:hover,
.account-modal .account-popup .account-enter:hover,
#onetrust-consent-sdk #onetrust-pc-sdk#onetrust-pc-sdk #accept-recommended-btn-handler#accept-recommended-btn-handler:hover,
#onetrust-consent-sdk #onetrust-accept-btn-handler:last-of-type:hover,
#onetrust-banner-sdk #onetrust-reject-all-handler:last-of-type:hover,
header.menu .hello_logged .hello_logged_options li a:hover,
.alt-confirmation-header a:hover,
.alt-confirmation-body a:hover,
body._eqn_getcoupon .about_content.eqn .use.coupon .coupon_link a:hover,
body[class*="_avaliado"] .about_content.eqn .use.coupon .coupon_link a:hover,
body._eqn_getcoupon .about_content.eqn .gohome:hover,
body[class*="_avaliado"] .about_content.eqn .gohome:hover,
.cancel_panel.cta_break a:hover,
.order-header-status a:hover,
.order-middle-action a.link_button:hover,
.checkout-footer a.next-step:hover, 
.exhaustion_notice .exhaustion a.btn_exhaustion:hover,
.no-orders a:hover,
input.form-submit:hover,
a.main_button:hover,
.short_content a:hover,
.about_campaign a:hover,
.contact_us:hover,
.how_it_works_information a:hover,
.brands a:hover,
.amazon-button:hover,
.picture.brand_option:hover span.button,
.container-content-familynes-store a:hover,
.container-campaign-home .mockup-campaign:hover .campaign-button,
.container-vouchers-home .mockup-voucher:hover .voucher-button,
.home_page_title a:hover {
  background-color: var(--cta_hover) !important;
  color: var(--white) !important;
}

.checkout-footer a.next-step:hover,
input.form-submit:hover, a.main_button:hover {
    border: 3px solid var(--cta_hover) !important;
}
/* ----------------------------------------------------------- */

/* Botão outline cta com hover preenchendo o bg cta_hover */
.checkout-footer a.back-to-campaign,
._checkout_entrega span#cancel-button,
._painel_entrega span#cancel-button,
#pets-add-button input,
#children-add-button input {
  color: var(--cta) !important;
  border: 3px solid var(--cta) !important;
  background-color: transparent !important;
}

._checkout .checkout-footer a.back-to-campaign:hover,
._checkout_entrega span#cancel-button:hover,
._painel_entrega span#cancel-button:hover,
#pets-add-button input:hover,
#children-add-button input:hover {
  background-color: var(--cta_hover) !important;
  color: var(--white) !important;
  border: 3px solid var(--cta_hover) !important;
}

/* ----------------------------------------------------------- */

/* Botão outline oak com hover preenchendo o bg oak */
.become_sub a {
  color: var(--oak);
  background-color: transparent;
  border: 3px solid var(--oak);
}

.become_sub a:hover {
  background-color: var(--oak);
  border: 3px solid var(--oak);
  color: var(--white);
}

/* ----------------------------------------------------------- */

/* Botão outline white com hover preenchendo o bg white */
.campaign_page_title .presentation_campaign .sample a,
.campaign_page_title .first-look-wrap.mobile .first-look a,
.brands_internal_block.brown .become_sub a,
.brands_internal_block.blue .become_sub a,
.brands_internal_block.black .become_sub a,
.brands_internal_block.pink .become_sub a,
.brands_internal_block.green .become_sub a,
.brands_internal_block.red .become_sub a,
.brands_internal_block.light-blue .become_sub a {
  color: var(--white);
  background-color: transparent;
  border: 3px solid var(--white);
}

.campaign_page_title .presentation_campaign .sample a:hover,
.campaign_page_title .first-look-wrap.mobile .first-look a:hover,
.brands_internal_block.brown .become_sub a:hover,
.brands_internal_block.blue .become_sub a:hover,
.brands_internal_block.black .become_sub a:hover,
.brands_internal_block.pink .become_sub a:hover,
.brands_internal_block.green .become_sub a:hover,
.brands_internal_block.red .become_sub a:hover,
.brands_internal_block.light-blue .become_sub a:hover {
  color: var(--cta);
  background-color: var(--white);
  border: 3px solid white;
}
/* ----------------------------------------------------------- */

/* Botão de Conta Nestlé Desktop  */

.account-user .user-btn {
  color: var(--white);
  background-color: transparent;
  border: 3px solid var(--white);
  background-image: url('../images/user-icon-white.png');
}

.account-user .user-btn:hover {
  color: var(--oak) !important;
  background-color: var(--white) !important;
  background-image: url('../images/user-icon.png') !important;
}

._node_2 .hello_unlogged .account-user .user-btn,
._node_3 .hello_unlogged .account-user .user-btn,
._node_4 .hello_unlogged .account-user .user-btn,
._node_6 .hello_unlogged .account-user .user-btn,
._checkout .hello_unlogged .account-user .user-btn,
.hello_unlogged.not-found .account-user .user-btn,
body:has(.container_hello_not_found) .account-user .user-btn {
  color: var(--oak);
  background-color: transparent;
  border: 3px solid var(--oak);
  background-image: url('../images/user-icon.png');
}

._node_2 .hello_unlogged .account-user.open .user-btn,
._node_3 .hello_unlogged .account-user.open .user-btn,
._node_4 .hello_unlogged .account-user.open .user-btn,
._node_6 .hello_unlogged .account-user.open .user-btn,
._checkout .hello_unlogged .account-user.open .user-btn,
.hello_unlogged.not-found .account-user.open .user-btn,
body:has(.container_hello_not_found) .account-user.open .user-btn,
._node_2 .hello_unlogged .account-user .user-btn:hover,
._node_3 .hello_unlogged .account-user .user-btn:hover,
._node_4 .hello_unlogged .account-user .user-btn:hover,
._node_6 .hello_unlogged .account-user .user-btn:hover,
._checkout .hello_unlogged .account-user .user-btn:hover,
.hello_unlogged.not-found .account-user .user-btn:hover,
body:has(.container_hello_not_found) .account-user .user-btn:hover {
  color: var(--white) !important;
  background-color: var(--oak) !important;
  border: 3px solid var(--oak) !important;
  background-image: url('../images/user-icon-white.png') !important;
}

@media screen and (max-width: 1023px) {
  /* Adicionei o "body" antes para torná-lo o seletor mais forte de todos */
  .checkout-footer a.back-to-campaign {
    border-width: 0 !important;
  }

  ._checkout .checkout-footer a.back-to-campaign:hover {
    background-color: transparent !important;
    color: var(--cta) !important;
    border-width: 0 !important;
  }

  ._checkout .checkout-footer a.back-to-campaign:hover:before {
  background-image: url('../images/back-arrow.svg');
}

  ._painel_entrega .form-custom-address-form #cancel-button {
    padding: var(--btn-space);
    text-decoration: none;
  }
}